# Generated from sambot-0.1.229.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sambot

Name: rubygem-%{gem_name}
Version: 0.1.229
Release: 1%{?dist}
Summary: Tooling for a DevOps workflow
License: MIT
URL: http://github.com/okouam/sambot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(gem-release) >= 1.0
# BuildRequires: rubygem(gem-release) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
# Sambot
Sambot is our internal Platform Engineering toolchain to help standardize and
simplify our DevOps workflow.
It provides an executable with a variety of commands, grouped in various areas
of functionality such as session management, DNS changes and cookbook
management.
## Usage
To install the gem, simply run `chef gem install sambot`. This will install
the
gem in your ChefDK installation. If you want to use it outside Chef,
run `gem install sambot`.
Run `chef exec sambot` to be shown the help menu. For help on specific
commands,
i.e. cookbook management and specific cookbook management commands, run
`chef exec sambot help cookbook` or `chef exec sambot cookbook help generate`
for example.
## Contributing
Bug reports and pull requests are welcome on GitHub at
https://github.exacttarget.com/ads-devops/sambot.
### Installation
Make sure you have `ruby >= 2.4.0` installed.
Install `bundler >= 1.15.1` by running `gem install bundler`
Run `bundle install` from the root of the project to install the
required Ruby gems.
### Running Sambot
If you want to test your changes locally, you can run `bundle exec
bin/sambot`.
### Running Tests
Run `bundle exec rspec spec` to execute the unit tests.
Run `cd integration_tests && bundle exec rspec .` to execute the integration
tests. These require that you have Docker Compose available. 
### Linting
There is nothing here yet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/sambot
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/bin
%{gem_instdir}/integration_tests
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/sambot.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.229-1
- Initial package
